ALAS-2014-304


Amazon Linux AMI Security Advisory: ALAS-2014-304
Advisory Release Date: 2014-09-17 22:50 Pacific
Severity: Medium
References: CVE-2014-1943 

Issue Overview:

Fine Free file before 5.17 allows context-dependent attackers to cause a denial of service (infinite recursion, CPU consumption, and crash) via a crafted indirect offset value in the magic of a file.


Affected Packages:

file


Issue Correction:
Run yum update file to update your system.

New Packages:
i686:
    file-debuginfo-5.11-13.14.amzn1.i686
    file-devel-5.11-13.14.amzn1.i686
    file-static-5.11-13.14.amzn1.i686
    file-5.11-13.14.amzn1.i686
    file-libs-5.11-13.14.amzn1.i686

noarch:
    python-magic-5.11-13.14.amzn1.noarch

src:
    file-5.11-13.14.amzn1.src

x86_64:
    file-debuginfo-5.11-13.14.amzn1.x86_64
    file-5.11-13.14.amzn1.x86_64
    file-static-5.11-13.14.amzn1.x86_64
    file-devel-5.11-13.14.amzn1.x86_64
    file-libs-5.11-13.14.amzn1.x86_64